/* 
 * Copyright (C) 2017 Francisco Javier Rojas Garrido <frojasg1@hotmail.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * You may obtain a copy of the License at
 *
 *      http://www.gnu.org/licenses/gpl-3.0.txt
 *
 */
package com.frojasg1.textcrypt.view;

import com.frojasg1.textcrypt.controller.TextcryptController;
import com.hotmail.frojasg1.applications.common.components.resizecomp.MapResizeRelocateComponentItem;
import com.hotmail.frojasg1.applications.common.components.resizecomp.ResizeRelocateItem;
import java.awt.print.PrinterException;
import javax.swing.event.DocumentEvent;
import javax.swing.event.DocumentListener;

/**
 *
 * @author axpe
 */
public class TextComponentJPanel extends javax.swing.JPanel
{
	protected MapResizeRelocateComponentItem _mapRRCI = null;

	TextcryptController _controller = null;
	
	/**
	 * Creates new form EncryptionInfoJPanel
	 */
	public TextComponentJPanel( TextcryptController controller )
	{
		_controller = controller;

		initComponents();

		_mapRRCI = createResizeRelocateInfo();

		jTextPane1.getDocument().addDocumentListener(new DocumentListener() {

				@Override
				public void removeUpdate(DocumentEvent e)
				{
					_controller.textCrypt_setTextModified();
				}

				@Override
				public void insertUpdate(DocumentEvent e)
				{
					_controller.textCrypt_setTextModified();
				}

				@Override
				public void changedUpdate(DocumentEvent arg0)
				{
					_controller.textCrypt_setTextModified();
				}
			});		
	}

	public void setText( String text )
	{
		jTextPane1.setText( text );
	}

	public String getText()
	{
		return( jTextPane1.getText() );
	}

	/**
	 * This method is called from within the constructor to initialize the form.
	 * WARNING: Do NOT modify this code. The content of this method is always
	 * regenerated by the Form Editor.
	 */
	@SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jScrollPane1 = new javax.swing.JScrollPane();
        jTextPane1 = new javax.swing.JTextPane();

        setMinimumSize(new java.awt.Dimension(665, 170));
        setPreferredSize(new java.awt.Dimension(685, 180));
        setLayout(null);

        jScrollPane1.setPreferredSize(new java.awt.Dimension(685, 180));
        jScrollPane1.setViewportView(jTextPane1);

        add(jScrollPane1);
        jScrollPane1.setBounds(0, 0, 685, 180);
    }// </editor-fold>//GEN-END:initComponents


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JTextPane jTextPane1;
    // End of variables declaration//GEN-END:variables

	public MapResizeRelocateComponentItem getResizeRelocateInfo()
	{
		if( _mapRRCI == null )
		{
			_mapRRCI = createResizeRelocateInfo();
		}

		return( _mapRRCI );
	}

	protected MapResizeRelocateComponentItem createResizeRelocateInfo()
	{
		MapResizeRelocateComponentItem mapRRCI = new MapResizeRelocateComponentItem();

		try
		{
			mapRRCI.putResizeRelocateComponentItem( jScrollPane1, ResizeRelocateItem.RESIZE_TO_RIGHT +
																	ResizeRelocateItem.RESIZE_TO_BOTTOM );
		}
		catch( Throwable th )
		{
			th.printStackTrace();
		}

		return( mapRRCI );
	}

	public void print() throws PrinterException
	{
		jTextPane1.print();
	}
}
