/* 
 * Copyright (C) 2017 Francisco Javier Rojas Garrido <frojasg1@hotmail.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3.0 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You may obtain a copy of the License at
 *
 *      http://www.gnu.org/licenses/lgpl-3.0.txt
 *
 */
package com.hotmail.frojasg1.applications.fileencoder;

import com.frojasg1.general.progress.CancellationException;
import com.frojasg1.general.progress.OperationCancellation;
import com.frojasg1.general.progress.UpdatingProgress;
import com.hotmail.frojasg1.encrypting.encoderdecoder.EncoderDecoder;

/**
 *
 * @author Usuario
 */
public interface FileEncoderType
{
	public void M_encodeFile( char[] password, String fileName, String newFileName ) throws FileEncoderException, CancellationException;
	public void M_decodeFile( char[] password, String fileName, String newFileName ) throws FileEncoderException, CancellationException;

	public void M_encodeFileFromBuffer( char[] password, FileEncoderParameters fep,
										byte[] dataToEncode,
										String fileName ) throws FileEncoderException, CancellationException;
	public byte[] M_decodeFileToBuffer( char[] password, FileEncoderParameters fep,
										String fileName ) throws FileEncoderException, CancellationException;

	public void M_doActions( char[] password, FileEncoderParameters fep ) throws FileEncoderException, CancellationException;
	public FileEncoderParameters M_getFileEncoderParameters();
	public EncoderDecoder M_newEncoderDecoder( FileEncoderParameters fep ) throws FileEncoderException;
}

