/* 
 * Copyright (C) 2017 Francisco Javier Rojas Garrido <frojasg1@hotmail.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3.0 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You may obtain a copy of the License at
 *
 *      http://www.gnu.org/licenses/lgpl-3.0.txt
 *
 */
package com.frojasg1.applications.common.configuration.application;

import com.frojasg1.general.exceptions.ConfigurationException;
import java.awt.Rectangle;

/**
 *
 * @author Usuario
 */
public interface BaseApplicationConfigurationInterface
	extends ChangeLanguageClientInterface, ChangeLanguageServerInterface
{
	public float getFontSizeFactor();
	public void setFontSizeFactor( float factor );

	public String getLastDirectory();
	public Rectangle getLastFileChooserBounds();
	public void setLastDirectory( String directory );
	public void setLastFileChooserBounds( Rectangle newBounds );

	public String getConfigurationMainFolder();
	public String getDefaultLanguageConfigurationFolder( String language );
	public String getApplicationNameFolder();
	public String getApplicationName();
	public String getApplicationVersion();
	public String getApplicationGroup();
	public String getInternationalPropertiesPathInJar();
	public String getAdditionalLanguage();
	public void setAdditionalLanguage( String language );
	
	public String getDefaultLanguage();

	public String getResourceNameForApplicationIcon();

	public boolean getLicensesHaveBeenAccepted();
	public void setLicencesHaveBeenAccepted( boolean value );
	
	public void M_saveConfiguration() throws ConfigurationException;
}
