/* 
 * Copyright (C) 2017 Francisco Javier Rojas Garrido <frojasg1@hotmail.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3.0 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You may obtain a copy of the License at
 *
 *      http://www.gnu.org/licenses/lgpl-3.0.txt
 *
 */
package com.frojasg1.general.desktop.view;

import java.awt.Color;
import javax.swing.BorderFactory;
import javax.swing.UIDefaults;
import javax.swing.border.Border;
import javax.swing.plaf.ColorUIResource;
import javax.swing.plaf.metal.MetalLookAndFeel;

/**
 *
 * @author axpe
 */
public class ToolTipLookAndFeel extends MetalLookAndFeel
{
		protected void initSystemColorDefaults(UIDefaults table)
		{        
			super.initSystemColorDefaults(table);        
			table.put("info", new ColorUIResource(255, 247, 200));    
		}

		protected void initComponentDefaults(UIDefaults table)
		{
			super.initComponentDefaults(table);

			Border border = BorderFactory.createLineBorder(new Color(76,79,83));
			table.put("ToolTip.border", border);
		}
}
